[arch-commits] Commit in xf86-video-intel/repos (2 files)

Jan de Groot jgc at archlinux.org
Sat Aug 16 16:37:17 EDT 2008


    Date: Saturday, August 16, 2008 @ 16:37:17
  Author: jgc
Revision: 8827

Merged revisions 8044-8826 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xf86-video-intel/trunk

........
  r8826 | jgc | 2008-08-16 20:37:07 +0000 (Sat, 16 Aug 2008) | 2 lines
  
  upgpkg: xf86-video-intel 2.4.1-1
      Depend on new mesa and libdrm
........

Modified:
  xf86-video-intel/repos/testing-x86_64/	(properties)
  xf86-video-intel/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: xf86-video-intel/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xf86-video-intel/trunk:1-8043
   + /xf86-video-intel/trunk:1-8826

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-08-16 20:37:07 UTC (rev 8826)
+++ testing-x86_64/PKGBUILD	2008-08-16 20:37:17 UTC (rev 8827)
@@ -2,21 +2,23 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-video-intel
-pkgver=2.4.0
+pkgver=2.4.1
 pkgrel=1
 pkgdesc="X.org Intel i810/i830/i915 video drivers"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=('intel-dri>=7.1rc3' 'libpciaccess>=0.10.3' 'libdrm>=2.3.1')
-makedepends=('pkgconfig' 'xorg-server>=1.4.99.906' 'xf86driproto>=2.0.4' 'glproto>=1.4.9' 'mesa>=7.1rc3')
+depends=('intel-dri>=7.1rc4' 'libpciaccess>=0.10.3' 'libdrm>=2.4.0')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906' 'xf86driproto>=2.0.4' 'glproto>=1.4.9' 'mesa>=7.1rc4')
 conflicts=('xorg-server<1.4.99.906')
 options=('!libtool')
 groups=('xorg-video-drivers')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('81a84e891c138b713947ed06556ec53c')
+md5sums=('3c752260ad4db0572a3175d6e8740aa3')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  # libdrm 2.4.0 does not contain TTM
+  sed -i -e 's/2.4.0/2.5.0/g' configure || return 1
   ./configure --prefix=/usr \
               --enable-dri || return 1
   make || return 1




More information about the arch-commits mailing list